## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class SybaseASABaseColumnLoader

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.baseloaders.SybaseASABaseColumnLoader

    public class SybaseASABaseColumnLoader

extends java.lang.Object

Constructor Summary
`SybaseASABaseColumnLoader(SybaseASABaseColumn catalogColumn)`

Method Summary
`java.util.HashMap` `loadColumnCheckConstraint(java.util.HashMap existingConstraints)`
`void` `loadColumnInfo()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASABaseColumnLoader

    public SybaseASABaseColumnLoader(SybaseASABaseColumn catalogColumn)

Method Detail

### loadColumnInfo

    public void loadColumnInfo()

### loadColumnCheckConstraint

    public java.util.HashMap loadColumnCheckConstraint(java.util.HashMap existingConstraints)